=== debian/control ===
Source: dpdk
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
           Christian Ehrhardt <christian.ehrhardt@canonical.com>,
           Santiago Ruano Rincón <santiagorr@riseup.net>
Build-Depends: debhelper (>= 9),
               debhelper (>= 9.20160709) | dh-systemd (>= 1.5),
               dh-python,
               dkms,
               doxygen <!nodoc>,
               graphviz <!nodoc>,
               inkscape <!nodoc>,
               libcap-dev,
               libpcap-dev,
               libnuma-dev,
               python3,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               texlive-fonts-recommended <!nodoc>,
               texlive-latex-extra <!nodoc>
Standards-Version: 4.1.3
Section: libs
Homepage: https://www.dpdk.org
Vcs-Git: https://gerrit.fd.io/r/deb_dpdk
Vcs-Browser: https://gerrit.fd.io/r/gitweb?p=deb_dpdk.git

Package: dpdk
Section: admin
Architecture: amd64 arm64 i386 ppc64el
Depends: hwdata,
         lsb-base (>= 3.2-14),
         pciutils,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: ${librte:Recommends},
            python3-pyelftools,
Suggests: dpdk-doc,
          dpdk-igb-uio-dkms (= ${binary:Version}),
          dpdk-rte-kni-dkms (= ${binary:Version}),
          linux-image-generic,
Description: Data Plane Development Kit (runtime)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime environment to run DPDK applications.

Package: dpdk-dev
Section: devel
Architecture: amd64 arm64 i386 ppc64el
Depends: libdpdk-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Data Plane Development Kit (development files)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains examples and the upstream build environment. It is
 not strictly required in order to build external applications.

Package: dpdk-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Homepage: https://dpdk.org/doc/guides/index.html
Depends: libjs-jquery, libjs-underscore, python3:any, ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Description: Data Plane Development Kit (documentation)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the complete set of documentation and guides.

Package: dpdk-igb-uio-dkms
Section: kernel
Architecture: amd64 arm64 i386 ppc64el
Depends: dkms,
         dpdk-dev (= ${binary:Version}),
         libdpdk-dev (= ${binary:Version}),
         make,
         ${misc:Depends}
Description: Data Plane Development Kit (igb uio dkms)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the source code for the igb_uio kernel module.

Package: dpdk-rte-kni-dkms
Section: kernel
Architecture: amd64 arm64 i386 ppc64el
Depends: dkms,
         dpdk-dev (= ${binary:Version}),
         libdpdk-dev (= ${binary:Version}),
         make,
         ${misc:Depends}
Description: Data Plane Development Kit (rte kni dkms)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the source code for the rte_kni kernel module.

Package: libdpdk-dev
Section: libdevel
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpcap-dev,
         zlib1g-dev,
         ${librte:Depends},
         ${misc:Depends}
Description: Data Plane Development Kit (basic development files)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the basic headers and library files required to
 build external applications which will also require at least SSE3 support
 when running.

Package: librte-ethdev17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__ethdev_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (libethdev runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for libethdev.

Package: librte-acl17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__acl_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-acl runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_acl.

Package: librte-bus-pci17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data Plane Development Kit (librte_bus_pci runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_bus_pci.

Package: librte-bus-vdev17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data Plane Development Kit (librte_bus_dev runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_bus_vdev.

Package: librte-cfgfile17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__cfgfile_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-cfgfile runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_cfgfile.

Package: librte-cmdline17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-cmdline runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_cmdline.

Package: librte-cryptodev17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__cryptodev_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-cryptodev runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_cryptodev.

Package: librte-distributor17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__distributor_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-distributor runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_distributor.

Package: librte-eal17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__eal_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-eal runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_eal.

Package: librte-flow-classify17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__flow__classify_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data Plane Development Kit (librte-flow-classify runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_flow_classify.

Package: librte-gro17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__gro_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data Plane Development Kit (librte-gro runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_gro.

Package: librte-gso17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__gso_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data Plane Development Kit (librte-gso runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_gso.

Package: librte-hash17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__hash_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-hash runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_hash.

Package: librte-ip-frag17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__ip__frag_8h.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-ip-frag runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_ip_frag.

Package: librte-jobstats17.11
Architecture: amd64 arm64 i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__jobstats_8h_source.html
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdpdk0
Description: Data Plane Development Kit (librte-jobstats runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
