=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: dpdk
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
+Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
            Christian Ehrhardt <christian.ehrhardt@canonical.com>,
            Santiago Ruano Rincón <santiagorr@riseup.net>
@@ -13,6 +12,7 @@
                graphviz <!nodoc>,
                inkscape <!nodoc>,
                libcap-dev,
+               libibverbs-dev,
                libpcap-dev,
                libnuma-dev,
                python3,
@@ -301,3 +301,6 @@
  DPDK is a set of libraries for fast packet processing. Applications run
  in user-space and communicate directly with dedicated network interfaces.
  .
+ This package contains the runtime libraries for librte_jobstats.
+
+Package: librte-kni17.11
