## dpdk 17.11.4

=== debian/changelog ===
dpdk (17.11.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Disable MLX4 and MLX5 PMDs, as the required libibverbs build
    dependency is not available in Stretch.

 -- Luca Boccassi <bluca@debian.org>  Fri, 07 Sep 2018 11:48:28 +0100

dpdk (17.11.4-1) unstable; urgency=medium

  * New upstream release 17.11.4; for a full list of changes see:
    https://dpdk.org/doc/guides-17.11/rel_notes/release_17_11.html
  * drop net-mlx5-fix-build-with-rdma-core-v19.patch, merged in 17.11.4.
  * Add new rte_eal_check_dma_mask symbol to d/librte-eal17.11.symbols

 -- Luca Boccassi <bluca@debian.org>  Mon, 03 Sep 2018 16:05:21 +0100

dpdk (17.11.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Luca Boccassi <bluca@debian.org>  Mon, 23 Apr 2018 17:59:47 +0100

dpdk (17.11.1-6~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 20 Mar 2018 20:22:17 +0000
