## dpdk 17.11.5

=== debian/changelog ===
dpdk (17.11.5-0~ubuntu18.10.1) cosmic; urgency=medium

  * New upstream release 17.11.5; for a full list of changes see:
    https://doc.dpdk.org/guides-17.11/rel_notes/release_17_11.html#id4
    https://doc.dpdk.org/guides-17.11/rel_notes/release_17_11.html#id5
    Among many other fixes this closes the following bugs:
    - request to merge 17.11.5 (LP: #1817675)
    - issues with -mavx512f on recent Skylake chips (LP: #1799397)
    - Drop d/p/net-mlx5-fix-build-with-rdma-core-v19.patch which is part of
      17.11.4
  * d/p/*kni-fix-build*: fix build with kernel 5.0 (LP: #1814919)
    as preparation for a HWE kernel based on the 5.0 version of 19.04

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 26 Feb 2019 12:34:12 +0100
