=== debian/changelog ===
dpdk (17.11.9-0ubuntu18.04.1) bionic-security; urgency=medium

  * SECURITY REGRESSION: updated to 17.11.9 to fix regression in 17.11.8
    (LP: #1853463)
    - vhost: fix vring requests validation broken if no FD

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 21 Nov 2019 09:46:12 -0500

dpdk (17.11.8-0~ubuntu18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Updated to 17.11.8 to fix security issue.
    - CVE-2019-14818
  * debian/patches/lp-1827102-kni-fix-build-with-Linux-5.1.patch: removed,
    included in new version.
  * debian/patches/fix_kernel_53_build.patch: fix build with kernel 5.3.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Nov 2019 07:11:41 -0500

dpdk (17.11.6-0~ubuntu18.04.1) bionic; urgency=medium

  * New upstream release 17.11.6 (LP: #1836365)
    For a full list of changes see:
    https://doc.dpdk.org/guides-17.11/rel_notes/release_17_11.html#id6
    - drop patches upstream in 17.11.6:
      d/p/0001-kni-fix-build-for-dev_open-in-Linux-5.0.patch
      d/p/0002-kni-fix-build-for-igb_ndo_bridge_setlink-in-Linux-5..patch
  * d/p/lp-1827102-kni-fix-build-with-Linux-5.1.patch fix kni DKMS build with
    Linux 5.1 kernels (LP: #1827102)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 12 Jul 2019 15:03:53 +0200

dpdk (17.11.5-0~ubuntu18.04.1) bionic; urgency=medium

  * New upstream release 17.11.5; for a full list of changes see:
    https://doc.dpdk.org/guides-17.11/rel_notes/release_17_11.html#id4
    https://doc.dpdk.org/guides-17.11/rel_notes/release_17_11.html#id5
    Among many other fixes this closes the following bugs:
    - request to merge 17.11.5 (LP: #1817675)
    - issues with -mavx512f on recent Skylake chips (LP: #1799397)
    - Drop d/p/net-mlx5-fix-build-with-rdma-core-v19.patch which is part of
      17.11.4
  * d/p/*kni-fix-build*: fix build with kernel 5.0 (LP: #1814919)
    as preparation for a HWE kernel based on the 5.0 version of 19.04

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 26 Feb 2019 12:34:12 +0100

dpdk (17.11.3-3~ubuntu0.18.04) bionic; urgency=medium

  * Make DPDK LTS release available in Bionic (LP: #1784816)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 01 Aug 2018 11:07:07 +0200
